
From: Thor Kooda <tkooda-patch-kernel@devsec.org>

xtea_encrypt() should use XTEA_DELTA instead of TEA_DELTA.

Signed-off-by: Thor Kooda <tkooda-patch-kernel@devsec.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/crypto/tea.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN crypto/tea.c~crypto-teac-xtea_encrypt-should-use-xtea_delta crypto/tea.c
--- 25/crypto/tea.c~crypto-teac-xtea_encrypt-should-use-xtea_delta	2004-09-03 23:47:15.913320632 -0700
+++ 25-akpm/crypto/tea.c	2004-09-03 23:47:15.916320176 -0700
@@ -154,7 +154,7 @@ static void xtea_encrypt(void *ctx_arg, 
 
 	while (sum != limit) {
 		y += (z << 4 ^ z >> 5) + (z ^ sum) + ctx->KEY[sum&3]; 
-		sum += TEA_DELTA;
+		sum += XTEA_DELTA;
 		z += (y << 4 ^ y >> 5) + (y ^ sum) + ctx->KEY[sum>>11 &3]; 
 	}
 	
_
